"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _highlightWordsCore = require("highlight-words-core");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const TextHighlightComponent = props => {
  const defaultTextStyle = {
    fontSize: props.fontSize || 15,
    fontFamily: props.fontFamily
  };
  const renderHighlightText = (text, index) => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      key: index,
      style: [{
        backgroundColor: 'yellow'
      }, defaultTextStyle, props.highlightTextStyle]
    }, text);
  };
  const renderText = () => {
    const chunks = (0, _highlightWordsCore.findAll)({
      autoEscape: true,
      searchWords: props.searchWords || [],
      textToHighlight: props.textToHighlight
    });
    let highlightedText = [];
    chunks.map((chunk, index) => {
      const {
        end,
        highlight,
        start
      } = chunk;
      const text = props.textToHighlight.substr(start, end - start);
      if (highlight) highlightedText.push(renderHighlightText(text, index));else highlightedText.push( /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        key: index,
        style: defaultTextStyle
      }, text));
    });
    return highlightedText;
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [{
      flexDirection: 'row',
      flexWrap: 'wrap'
    }, props.containerStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: props.numberOfLines
  }, renderText()));
};
var _default = TextHighlightComponent;
exports.default = _default;
//# sourceMappingURL=TextHighlightComponent.js.map